# mail4one

Personal mail server for a single user or a small family. Written in pure python with minimal dependencies.
Designed for dynamic alias based workflow where a different alias is used for each purpose.

# Getting started
 1. Get a domain name
 1. Get a vps (or a home server). Setup firewall rules for receive on port 25, 995, 465
 1. Setup MX record
 1. Build/Download latest release - `mail4one.pyz`
 1. Generate `config.json` from `deploy_configs/config.sample`
 1. Run `./mail4one.pyz -c config.json`
 1. [Optional] Setup systemd service and tls certificates. See `deploy_configs/` for examples

# Sending email

mail4one only takes care of receiving and serving email. For sending email, use an external service like below

* https://www.smtp2go.com/pricing/
* https://www.mailgun.com/pricing/
* https://sendgrid.com/free/

Most of them have generous free tier which is more than enough for personal use. Sending email is tricky. Even if everything is correctly setup (DMARC, DKIM, SPF), popular email vendors like google, microsoft may mark emails sent from your ip as spam

# Community

Original source is at https://gitea.balki.me/mail4one
For issues, pull requests, discussions, please use github mirror: https://github.com/mail4one/mail4one

# Documentation

See files under `deploy_configs` for configuring and deploying to a standard systemd based linux system (e.g debian, ubuntu, fedora, archlinux etc). `deploy_configs/config.sample` has inline comments for more details. Feel free create github issue/discussions for help.

# Building from source

Make sure to have make, git, python >= 3.9, and pip installed in your system and run below

    make build

# Roadmap (Planned features for future)

* Write dedicated documentation
* Test with more email clients (Thunderbird and k9mail is tested)
* IMAP support
* Web UI for editing config
* Support email submission from client to forward to other senders or direct delivery
* Optional SPAM filtering
* Optional DKIM verification
* Webmail client
* Web UI to view graphs and smart reports
